org.apache.activemq.artemis.spi.core.security.scram

## Class ScramUtils.NewPasswordStringData

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.security.scram.ScramUtils.NewPasswordStringData

- Enclosing class:
    ScramUtils

      public static class ScramUtils.NewPasswordStringData
      extends Object

  New password data in database friendly format, i.e. Base64 encoded strings

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `clientKey` Client key
    `int` | `iterations` Iterations for slating
    `String` | `salt` Used salt
    `String` | `saltedPassword` Salted password
    `String` | `serverKey` Server key
    `String` | `storedKey` Stored key

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewPasswordStringData(String saltedPassword, String salt, String clientKey, String storedKey, String serverKey, int iterations)` Creates new NewPasswordStringData

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### saltedPassword

          public final String saltedPassword

      Salted password

    - #### salt

          public final String salt

      Used salt

    - #### clientKey

          public final String clientKey

      Client key

    - #### storedKey

          public final String storedKey

      Stored key

    - #### serverKey

          public final String serverKey

      Server key

    - #### iterations

          public final int iterations

      Iterations for slating

  - ### Constructor Detail

    - #### NewPasswordStringData

          public NewPasswordStringData(String saltedPassword,
                                       String salt,
                                       String clientKey,
                                       String storedKey,
                                       String serverKey,
                                       int iterations)

      Creates new NewPasswordStringData
      Parameters:
        `saltedPassword` - Salted password
        `salt` - Used salt
        `clientKey` - Client key
        `storedKey` - Stored key
        `serverKey` - Server key
        `iterations` - Iterations for slating

Copyright © 2021 The Apache Software Foundation. All rights reserved.